Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365587 - gold: FTBFS due to missing perl in buildroot
Summary: gold: FTBFS due to missing perl in buildroot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gold
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 15:27 UTC by Jitka Plesnikova
Modified: 2016-08-27 10:31 UTC (History)
1 user (show)

Fixed In Version: gold-2.1.12.2-21.fc26 gold-2.1.12.2-21.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:31:51 UTC


Attachments (Terms of Use)
Update for spec file (deleted)
2016-08-09 15:27 UTC, Jitka Plesnikova
no flags Details | Diff

Description Jitka Plesnikova 2016-08-09 15:27:17 UTC
Created attachment 1189322 [details]
Update for spec file

Buildroot initialization failed with following error:
DEBUG util.py:421:  No matching package to install: 'perl(:MODULE_COMPAT_)'

It is caused because perl is not in default buildroot. That is the reason why following BR is not evaluate properly.
BuildRequires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Using "BuildRequires: perl" fixed it.

Comment 1 Fedora Update System 2016-08-15 13:16:21 UTC
gold-2.1.12.2-21.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6d0869c16

Comment 2 Fedora Update System 2016-08-15 18:26:41 UTC
gold-2.1.12.2-21.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6d0869c16

Comment 3 Fedora Update System 2016-08-27 10:31:49 UTC
gold-2.1.12.2-21.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.